Skip to main content

Retrieve All External Accounts Linked to Customer


Overview

Use the list external account API to fetch every external account associated with a customer.


Resource Access

Production (api.ahrvo.network)

GET https://api.ahrvo.network/banking/us2/v1/customer/id/{customerId}/externalAccount

Staging (gateway.ahrvo.network)

GET https://gateway.ahrvo.network/banking/us2/v1/customer/id/{customerId}/externalAccount

Example Request (production)

GET /banking/us2//v1/customer/id/4052981/externalAccount HTTP/1.1
Host: api.ahrvo.network
Authorization: Bearer {jwtToken}
x-api-key: {apiKey}
Content-Type: application/json

(For staging, replace api.ahrvo.network with gateway.ahrvo.network.)


Example Response

HTTP/1.1 200 OK
Content-Type: application/json
[
{
"resourceName": "externalAccount",
"url": "/v1/customer/id/4000854/externalAccount/id/4002421",
"id": 4002421,
"externalId": "EID289742235111783196",
"type": "SAVINGS",
"holderName": "Jon Francis",
"holderPhone": "573-986-1372",
"holderAddress": {
"addressLine1": "999",
"addressLine2": "GT1 KMB",
"city": "Arizona",
"state": "AZ",
"zip": "85002"
},
"holderType": "CONSUMER",
"accountNumberLast4": "0001",
"routingNumber": "011000015",
"wireRoutingNumber": "011000015",
"status": "INACTIVE",
"statusReason": "External Account Pending Verification",
"statusDate": "07/16/2024 06:33:42",
"bankInfo": {
"name": "FEDERAL RESERVE BANK",
"contactNumber": "457-372-2457",
"routingNumber": "011000015",
"address": "1000 PEACHTREE ST N.E.,ATLANTA,GA,30309"
},
"verification": {
"ofacStatus": "IGNORED",
"ofacStatusReason": "IGNORED",
"ofacStatusDate": "07/16/2024 06:33:42"
},
"validateAccount": [
{
"ews": {
"status": "PENDING",
"statusReason": "PENDING",
"statusDate": "07/16/2024 06:33:42"
}
}
],
"prenote": { "prenoteValidation": "NEVER" },
"microDeposit": { "microDepositValidation": "NEVER" },
"createdOn": "07/16/2024 06:33:42",
"createdBy": {
"username": "ahrvoqa+186631024211@prth.com",
"status": "ACTIVE",
"userType": "API_USER"
},
"lastUpdatedBy": {
"username": "ahrvoqa+186631024211@prth.com",
"status": "ACTIVE",
"userType": "API_USER"
},
"lastUpdatedOn": "07/16/2024 06:33:42"
},
{
"resourceName": "externalAccount",
"url": "/v1/customer/id/4000138/externalAccount/id/4000364",
"id": 4000364,
"type": "SAVINGS",
"holderName": "Portfolio Recovery Assoc",
"holderType": "CONSUMER",
"accountNumberLast4": "2458",
"routingNumber": "121122676",
"wireRoutingNumber": "121122676",
"status": "BLOCKED",
"statusReason": "PENDING_VERIFICATION",
"statusDate": "04/12/2023 15:26:31",
"bankInfo": {
"name": "US BANK NA",
"contactNumber": "310-937-6310",
"routingNumber": "121122676",
"address": "EP-MN-WN1A,ST. PAUL,MN,55107"
},
"verification": {
"ofacStatus": "VERIFIED",
"ofacStatusReason": "Verified",
"ofacStatusDate": "04/12/2023 15:32:36"
},
"createdOn": "04/12/2023 15:26:31",
"createdBy": {
"username": "ahrvoqa+480754718490@prth.com",
"status": "ACTIVE",
"userType": "API_USER"
},
"lastUpdatedBy": {
"username": "SYSTEM",
"status": "ACTIVE",
"userType": "SYSTEM"
},
"lastUpdatedOn": "04/27/2023 12:33:57"
}
]

Interactive API Documentation